#include "PlayerAssessment.h"

int PlayerAssessment::estimateBaseMinedMinerals(int playerID, CBase b)
{
	// things to consider:
	// when the base was last seen 
	// how many resources have been mined
	// how many workers are there
	// how many workers might be there now
	return b.mineralWorkers * 45;
}

int PlayerAssessment::estimateTotalGas(int playerID)
{

}

int PlayerAssessment::estimateTotalMinerals(int playerID)
{
	int originalMinerals = 0;
	int currentMinerals = 0;
	int minsProbablyMinedSince = 0;

	for (auto b : Macro::players.at(playerID).bases)
	{
		currentMinerals += b.minsAmount;
		originalMinerals += b.originalMinerals;
		
	}


}

int PlayerAssessment::estimateUnitCount(int playerID, BWAPI::UnitType unit)
{

}